<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Articles</title>
  <style>
    /** Compiled with gulp */
    * {
        box-sizing: border-box;
    }

    body {
        font-family: helvetica, arial, sans-serif;
        display: flex;
        flex-flow: row wrap;
        padding: 0;
        margin: 0;
    }

    article {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 25vh;
    }
    article:nth-child(1) {
        background-color: yellow;
    }
    article:nth-child(2) {
        background-color: green;
    }
    article:nth-child(3) {
        background-color: red;
    }
    article:nth-child(4) {
        background-color: blue;
    }
    @media screen and (min-width: 768px) {
        article {
            width: 50%;
            flex-basis: 50%;
            height: 50vh;
        }
    }

  </style>
</head>
<body>
  <article>First</article>
  <article>Second</article>
  <article>Third</article>
  <article>Fourth</article>
</body>
</html>